> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avera.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List items in project



## OpenAPI

````yaml /api-reference/openapi.yaml get /projects/{projectId}/items
openapi: 3.1.0
info:
  title: Avera API
  version: 1.0.0
  description: >
    Avera ALM/PLM/QMS Platform API for regulated industries.


    ## Authentication

    All endpoints require Bearer token authentication and tenant context
    headers.


    ## Common Headers

    - `X-Tenant-ID`: Required. UUID of the current tenant.

    - `X-Branch-ID`: Required for item operations. UUID of the current branch.

    - `X-Correlation-ID`: Optional. Request correlation ID for tracing.
servers:
  - url: /api/v1
    description: API v1
security:
  - bearerAuth: []
tags:
  - name: Projects
    description: Project management operations
  - name: Items
    description: Item (requirement, design, test) operations
  - name: Branches
    description: Branch management for version control
  - name: Schema
    description: Meta-model schema operations
paths:
  /projects/{projectId}/items:
    get:
      tags:
        - Items
      summary: List items in project
      operationId: listItems
      parameters:
        - $ref: '#/components/parameters/projectId'
      responses:
        '200':
          description: List of items
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Item'
components:
  parameters:
    projectId:
      name: projectId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    Item:
      type: object
      properties:
        id:
          type: string
          format: uuid
        itemTypeId:
          type: string
        canonicalId:
          type: string
          format: uuid
        number:
          type: string
        revision:
          type: string
          nullable: true
        version:
          type: integer
          minimum: 1
        status:
          $ref: '#/components/schemas/ItemStatus'
        projectId:
          type: string
          format: uuid
        branchId:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        createdBy:
          type: string
          format: uuid
        modifiedAt:
          type: string
          format: date-time
        modifiedBy:
          type: string
          format: uuid
        attributes:
          type: object
          additionalProperties: true
          nullable: true
      required:
        - id
        - itemTypeId
        - canonicalId
        - number
        - version
        - status
        - projectId
        - branchId
        - createdAt
        - createdBy
        - modifiedAt
        - modifiedBy
    ItemStatus:
      type: string
      enum:
        - DRAFT
        - REVIEW
        - RELEASED
        - OBSOLETE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````